//begin add by gjj.
function MY_DEBUG(strDebug)
{
	if (!window.debug)
	{
		window.debug = Components.GetObject("@pplive.com/outputdebug;1");
	}
	if(window.debug)window.debug.DebugString(strDebug);
}

function OnDownlaodWndMenu(wndType, menuType, xPos, yPos, vbAllRemoved)
{
	var menuPopup = null;

	if (1 == wndType)
	{
		switch (menuType)
		{
		case 0:
			menuPopup = document.getElementById("menu_downloading_single");
			break;
		case 1:
			menuPopup = document.getElementById("menu_downloading_multi");
			break;
		case 2:
			menuPopup = document.getElementById("menu_downloading_all");
			break;
		default:
			break;
		}
	}
	else if (2 == wndType)
	{
		switch (menuType)
		{
		case 0:
			menuPopup = document.getElementById("menu_finish_single");
			break;
		case 1:
			menuPopup = document.getElementById("menu_finish_multi");
			break;
		case 2:
			menuPopup = document.getElementById("menu_finish_all");
			break;
		default:
			break;
		}

		$("Download").bAllRemoved = vbAllRemoved;
	}

		
	$("Download").wndType = wndType;
	$("Download").menuType = menuType;
	if (menuPopup)
	{
		menuPopup.openPopupAtScreen(xPos, yPos);
	}
}

function DownloadingSingleSelectCmd(id)
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	downloadHost.OnCommandHandler($("Download").wndType, id);
}


function DownloadingMultiSelectPreCmd(id)
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	downloadHost.OnCommandHandler($("Download").wndType, 20+id);
}

function DownloadingAllSelectCmd(id)
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	downloadHost.OnCommandHandler($("Download").wndType, 40+id);
}


function buildDownloadSkinMenu(menupopup)
{
	var menuId = menupopup.id;
	if ("menu_downloading_single" == menuId)	//正在下载单个任务菜单
	{
		MY_DEBUG("xml_menu::Downloading_Single_Select_handler");
		DownloadingSingleSelectMenuPreShow();
	}
	else if ("menu_downloading_multi" == menuId)//正在下载多个任务菜单
	{
		MY_DEBUG("xml_menu::Downloading_Multi_Select_handler");
		DownloadingMultiSelectMenuPreShow();
	}
	else if ("menu_downloading_all" == menuId)//正在下载全部任务菜单
	{
	//	MY_DEBUG("xml_menu::Downloading_All_Select_handler");
		DownloadingAllSelectMenuPreShow();
	}
	else if ("menu_finish_single" == menuId)//已完成单个任务菜单
	{
		FinishSingleSelectPreShow();
	}
	else if ("menu_finish_multi" == menuId)//已完成多个任务菜单
	{
		FinishMultiSelectPreShow($("Download").bAllRemoved);
	}
	else if ("menu_finish_all" ==  menuId)//已完成全部任务菜单
	{
		FinishAllSelectPreShow($("Download").bAllRemoved);
	}
	else
	{
		//no such menu.
	}
}

function FinishSingleSelectCmd(id)
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	downloadHost.OnCommandHandler($("Download").wndType, id);
}

function FinishMultiSelectCmd(id)
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	downloadHost.OnCommandHandler($("Download").wndType, 20+id);
}


function DownloadingSingleSelectMenuPreShow()
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	var task = downloadHost.CurrentSelectedTask($("Download").wndType);//1:正在下载窗口

	if (task)
	{
		var lCurStep = task.curState;
		var beginDownloadItem = document.getElementById("menu_begin_download");
		var pauseDownloadItem = document.getElementById("menu_pause_download");
		var playItem = document.getElementById("menu_play_download");
		if (!beginDownloadItem || !pauseDownloadItem || !playItem)
		{
			return;
		}
		
		beginDownloadItem.disabled = false;
		pauseDownloadItem.disabled = false;
		playItem.disabled = false;
		if (4==lCurStep || 5==lCurStep || 6==lCurStep || 10==lCurStep)
			beginDownloadItem.disabled = true;
		else if (7==lCurStep || 8==lCurStep)
		{
			pauseDownloadItem.disabled = true;
			if (8 == lCurStep)
			{
				playItem.disabled = true;
			}
		}
	}

	var beginAllItem = document.getElementById("menu_begin_all_inSingle_download");
	var pauseAllItem = document.getElementById("menu_pause_al_inSingle_download");
	if (!beginAllItem || !pauseAllItem)
	{
		return;
	}

	var iDownloading = downloadHost.GetAllDownloadingInfo(0);//得到正在下载的数目
	var iPause = downloadHost.GetAllDownloadingInfo(1);//暂停的数目
	var iWait = downloadHost.GetAllDownloadingInfo(2);//等待的数目
	var iFail = downloadHost.GetAllDownloadingInfo(3);//失败的数目
	downloadHost.EndGetAllDownloadingInfo();//取消AllDownloadingInfo的缓存,在获取到所有你需要的DownloadingInfo之后该接口函数必须被调用

	MY_DEBUG('xml_menu::downloading '+iDownloading);
	MY_DEBUG('xml_menu::pause '+iPause);
	MY_DEBUG('xml_menu::wait '+iWait);
	MY_DEBUG('xml_menu::fail '+iFail);
	if (iDownloading+iWait <= 0)
		pauseAllItem.disabled = true;
	else
		pauseAllItem.disabled = false;

	if (iPause+iFail <= 0)
		beginAllItem.disabled = true;
	else
		beginAllItem.disabled = false;
}

function DownloadingMultiSelectMenuPreShow()
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	var beginMultiItem = document.getElementById("menu_begin_multi_download");
	var pauseMultiItem = document.getElementById("menu_pause_multi_download");
	if (!beginMultiItem || !pauseMultiItem)
	{
		return;
	}

	var iMultiDownloading = downloadHost.GetMultiSelectDownloadingInfo(0);//得到正在下载的数目
	var iMultiPause = downloadHost.GetMultiSelectDownloadingInfo(1);//暂停的数目
	var iMultiWait = downloadHost.GetMultiSelectDownloadingInfo(2);//等待的数目
	var iMultiFail = downloadHost.GetMultiSelectDownloadingInfo(3);//失败的数目
	downloadHost.EndGetMultiSelectDownloadingInfo();//取消MultiDownloadingInfo的缓存,在获取到所有你需要的DownloadingInfo之后该接口函数必须被调用
	
	MY_DEBUG('xml_menu::multidownloading '+iMultiDownloading);
	MY_DEBUG('xml_menu::multipause '+iMultiPause);
	MY_DEBUG('xml_menu::multiwait '+iMultiWait);
	MY_DEBUG('xml_menu::multifail '+iMultiFail);

	if (iMultiDownloading+iMultiWait <= 0)
		pauseMultiItem.disabled = true;
	else
		pauseMultiItem.disabled = false;

	if (iMultiPause+iMultiFail <= 0)
		beginMultiItem.disabled = true;
	else
		beginMultiItem.disabled = false;
}

function DownloadingAllSelectMenuPreShow()
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}
	var beginAllItem = document.getElementById("menu_begin_all_download");
	var pauseAllItem = document.getElementById("menu_pause_all_download");
	var deleteAllTask = document.getElementById("menu_delete_all_task_download");
	var deleteAllTaskFile = document.getElementById("menu_delete_all_task_file_download");
	if (!beginAllItem || !pauseAllItem || !deleteAllTask || !deleteAllTaskFile)
	{
		return;
	}

	var iAllDownloading = downloadHost.GetAllDownloadingInfo(0);//得到正在下载的数目
	var iAllPause = downloadHost.GetAllDownloadingInfo(1);//暂停的数目
	var iAllWait = downloadHost.GetAllDownloadingInfo(2);//等待的数目
	var iAllFail = downloadHost.GetAllDownloadingInfo(3);//失败的数目
	downloadHost.EndGetAllDownloadingInfo();//取消AllDownloadingInfo的缓存,在获取到所有你需要的DownloadingInfo之后该接口函数必须被调用
	
	MY_DEBUG('xml_menu::downloading '+iAllDownloading);
	MY_DEBUG('xml_menu::pause '+iAllPause);
	MY_DEBUG('xml_menu::wait '+iAllWait);
	MY_DEBUG('xml_menu::fail '+iAllFail);

	if (iAllDownloading+iAllWait <= 0)
		pauseAllItem.disabled = true;
	else
		pauseAllItem.disabled = false;

	if (iAllPause+iAllFail <= 0)
		beginAllItem.disabled = true;
	else
		beginAllItem.disabled = false;

	if (iAllDownloading+iAllPause+iAllWait+iAllFail <= 0)
	{
		deleteAllTask.disabled = true;
		deleteAllTaskFile.disabled = true;
	}
	else
	{
		deleteAllTask.disabled = false;
		deleteAllTask.disabled = false;
	}
}

function FinishSingleSelectPreShow()
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	var openFileItem = document.getElementById("menu_open_file_finish");
	var deleteTaskFileItem = document.getElementById("menu_delete_task_file_finish");
	var moveFileToItem = document.getElementById("menu_move_file_finish");
	if (!openFileItem || !deleteTaskFileItem || !moveFileToItem)
	{
		return;
	}

	var task = downloadHost.CurrentSelectedTask($("Download").wndType);//2:已完成窗口
	if (task)
	{
		var filePath = task.savePath;
		if (filePath)
		{
			var bPathValidate = downloadHost.CheckFileValidate(filePath);
			if (!bPathValidate)
			{
				openFileItem.disabled = true;
				deleteTaskFileItem.disabled = true;
				moveFileToItem.disabled = true;
			}
			else
			{
				openFileItem.disabled = false;
				deleteTaskFileItem.disabled = false;
				moveFileToItem.disabled = false;
			}
		}
		else
		{
				openFileItem.disabled = true;
				deleteTaskFileItem.disabled = true;
				moveFileToItem.disabled = true;
		}
	}
}

function FinishMultiSelectPreShow(bAllRemoved)
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	var deleteMultiTaskFile = document.getElementById("menu_delete_multi_task_file_finish");
	if (!deleteMultiTaskFile)
	{
		return;
	}

	if (bAllRemoved)
		deleteMultiTaskFile.disabled = true;
	else
		deleteMultiTaskFile.disabled = false;
}

function FinishAllSelectPreShow(bAllRemoved)
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	var items = downloadHost.GetTaskCounts($("Download").wndType);
	var deleteAllTask = document.getElementById("menu_delete_all_task_finish");
	var deleteAllTaskFile = document.getElementById("menu_delete_all_task_file_finish");
	if (!deleteAllTaskFile || !deleteAllTask)
	{
		return;
	}

	if (items > 0)
		deleteAllTask.disabled = false;
	else
		deleteAllTask.disabled = true;
	if (bAllRemoved)
		deleteAllTaskFile.disabled = true;
	else
		deleteAllTaskFile.disabled = false;
}

function FinishAllSelectCmd(id)
{
	var downloadHost = Components.GetObject("@pplive.com/chdownloadwnd_3;1");
	if (!downloadHost)
	{
		return;
	}

	downloadHost.OnCommandHandler($("Download").wndType, 40+id);
}

function ShowBalloon()
{
	window.visible = false; 
	var mainwindow = Components.GetObject("@pplive.com/ui/mainwindow;1"); 
	if (mainwindow) 
	{
		mainwindow.ShowFindDownloadMgrTipBalloon(true);
	}
}
// SIG // Begin signature block
// SIG // MIIVVgYJKoZIhvcNAQcCoIIVRzCCFUMCAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFA8JPHpNDwbP
// SIG // W4ynQ8EkXHdDF9dLoIIRWzCCA3owggJioAMCAQICEDgl
// SIG // 1/r4Ya+e9JDnJrXWWtUwDQYJKoZIhvcNAQEFBQAwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBMB4XDTA3MDYxNTAwMDAwMFoX
// SIG // DTEyMDYxNDIzNTk1OVowXDELMAkGA1UEBhMCVVMxFzAV
// SIG // BgNVBAoTDlZlcmlTaWduLCBJbmMuMTQwMgYDVQQDEytW
// SIG // ZXJpU2lnbiBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIFNp
// SIG // Z25lciAtIEcyMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCB
// SIG // iQKBgQDEtfJSFbyIhmApFkpbL0uRa4eR8zVUWDXq0TZe
// SIG // Yk1SUTRxwntmHYnI3SrEagr2N9mYdJH2kq6wtXaW8alK
// SIG // Y0VHLmsLkk5LK4zuWEqL1AfkGiz4gqpY2c1C8y3Add6N
// SIG // q8eOHZpsTAiVHt7b72fhcsJJwp5gPOHivhajY3hpFHut
// SIG // LQIDAQABo4HEMIHBMDQGCCsGAQUFBwEBBCgwJjAkBggr
// SIG // BgEFBQcwAYYYaHR0cDovL29jc3AudmVyaXNpZ24uY29t
// SIG // MAwGA1UdEwEB/wQCMAAwMwYDVR0fBCwwKjAooCagJIYi
// SIG // aHR0cDovL2NybC52ZXJpc2lnbi5jb20vdHNzLWNhLmNy
// SIG // bDAWBgNVHSUBAf8EDDAKBggrBgEFBQcDCDAOBgNVHQ8B
// SIG // Af8EBAMCBsAwHgYDVR0RBBcwFaQTMBExDzANBgNVBAMT
// SIG // BlRTQTEtMjANBgkqhkiG9w0BAQUFAAOCAQEAUMVLyCSA
// SIG // 3+QNJMLeGrGhAqGmgi0MgxWBNwqCDiywWhdhtdgF/ojb
// SIG // 8ZGRs1YaQKbrkr44ObB1NnQ6mE/kN7qZicqVQh2wuceg
// SIG // jVfg+tVkBEI1TgHRM6IXyE2qJ8fy4YZMAjhNg3jG/FPg
// SIG // 6+AGh92klp5eDJjipb6/goXDYOHfrSjYx6VLZNrHG1u9
// SIG // rDkI1TgioTOLL4qa67wHIT9EQQkHtWUcJLxI00SA66HP
// SIG // yQK0FM9UxxajgFz5eT5dcn2IF54sQ6LKU859PfYqOrhP
// SIG // lAClbQqDXfleU/QYs1cPcMP79a2VoA4X3sQWgGDJDytu
// SIG // hgTx6/R4J9EFxe40W165STLyMzCCA8QwggMtoAMCAQIC
// SIG // EEe/GZXfjVJGQ/fbbUgNMaQwDQYJKoZIhvcNAQEFBQAw
// SIG // gYsxCzAJBgNVBAYTAlpBMRUwEwYDVQQIEwxXZXN0ZXJu
// SIG // IENhcGUxFDASBgNVBAcTC0R1cmJhbnZpbGxlMQ8wDQYD
// SIG // VQQKEwZUaGF3dGUxHTAbBgNVBAsTFFRoYXd0ZSBDZXJ0
// SIG // aWZpY2F0aW9uMR8wHQYDVQQDExZUaGF3dGUgVGltZXN0
// SIG // YW1waW5nIENBMB4XDTAzMTIwNDAwMDAwMFoXDTEzMTIw
// SIG // MzIzNTk1OVowUzELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMSswKQYDVQQDEyJWZXJpU2ln
// SIG // biBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqcqypMzN
// SIG // IK8KfYmsh3XwtE7x38EPv2dhvaNkHNq7+cozq4QwiVh+
// SIG // jNtr3TaeD7/R7Hjyd6Z+bzy/k68Numj0bJTKvVItq0g9
// SIG // 9bbVXV8bAp/6L2sepPejmqYayALhf0xS4w5g7EAcfrkN
// SIG // 3j/HtN+HvV96ajEuA5mBE6hHIM4xcw1XLc14NDOVEpkS
// SIG // ud5oL6rm48KKjCrDiyGHZr2DWFdvdb88qiaHXcoQFTyf
// SIG // hOpUwQpuxP7FSt25BxGXInzbPifRHnjsnzHJ8eYiGdvE
// SIG // s0dDmhpfoB6Q5F717nzxfatiAY/1TQve0CJWqJXNroh2
// SIG // ru66DfPkTdmg+2igrhQ7s4fBuwIDAQABo4HbMIHYMDQG
// SIG // CCsGAQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDov
// SIG // L29jc3AudmVyaXNpZ24uY29tMBIGA1UdEwEB/wQIMAYB
// SIG // Af8CAQAwQQYDVR0fBDowODA2oDSgMoYwaHR0cDovL2Ny
// SIG // bC52ZXJpc2lnbi5jb20vVGhhd3RlVGltZXN0YW1waW5n
// SIG // Q0EuY3JsMBMGA1UdJQQMMAoGCCsGAQUFBwMIMA4GA1Ud
// SIG // DwEB/wQEAwIBBjAkBgNVHREEHTAbpBkwFzEVMBMGA1UE
// SIG // AxMMVFNBMjA0OC0xLTUzMA0GCSqGSIb3DQEBBQUAA4GB
// SIG // AEpr+epYwkQcMYl5mSuWv4KsAdYcTM2wilhu3wgpo17I
// SIG // ypMT5wRSDe9HJy8AOLDkyZNOmtQiYhX3PzchT3AxgPGL
// SIG // OIez6OiXAP7PVZZOJNKpJ056rrdhQfMqzufJ2V7duyuF
// SIG // PrWdtdnhV/++tMV+9c8MnvCX/ivTO1IbGzgn9z9KMIIE
// SIG // /DCCBGWgAwIBAgIQZVIm4bIuGOFZDymFrCLnXDANBgkq
// SIG // hkiG9w0BAQUFADBfMQswCQYDVQQGEwJVUzEXMBUGA1UE
// SIG // ChMOVmVyaVNpZ24sIEluYy4xNzA1BgNVBAsTLkNsYXNz
// SIG // IDMgUHVibGljIFByaW1hcnkgQ2VydGlmaWNhdGlvbiBB
// SIG // dXRob3JpdHkwHhcNMDkwNTIxMDAwMDAwWhcNMTkwNTIw
// SIG // MjM1OTU5WjCBtjELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2ln
// SIG // biBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJtcyBv
// SIG // ZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24uY29t
// SIG // L3JwYSAoYykwOTEwMC4GA1UEAxMnVmVyaVNpZ24gQ2xh
// SIG // c3MgMyBDb2RlIFNpZ25pbmcgMjAwOS0yIENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvmcdtGCq
// SIG // EElvVhd8Zslehg3V8ayncYOOi4n4iASJFQa6LYQhleTR
// SIG // nFBM+9IivdrysjU7Ho/DCfv8Ey5av4l8PTslHvbzWHuc
// SIG // 9AG1xgq4gM6+J3RhZydNauXsgWFYeaPgFxASFSew4U00
// SIG // fytHIES53mYkZorNT7ofxTjIVJDhcvYZZnVquUlozzh5
// SIG // DaowqNssYEie16oUAamD1ziRMDkTlgM6fEBUtq3gLxuD
// SIG // 3KgRUj4Cs9cr/SG2p1yjDwupphBQDjQuTafOyV4l1Iy8
// SIG // 8258KbwBXfwxh1rVjIVnWIgZoL818OoroyHnkPaD5ajt
// SIG // YHhee2CD/VcLXUENY1Rg1kMh7wIDAQABo4IB2zCCAdcw
// SIG // EgYDVR0TAQH/BAgwBgEB/wIBADBwBgNVHSAEaTBnMGUG
// SIG // C2CGSAGG+EUBBxcDMFYwKAYIKwYBBQUHAgEWHGh0dHBz
// SIG // Oi8vd3d3LnZlcmlzaWduLmNvbS9jcHMwKgYIKwYBBQUH
// SIG // AgIwHhocaHR0cHM6Ly93d3cudmVyaXNpZ24uY29tL3Jw
// SIG // YTAOBgNVHQ8BAf8EBAMCAQYwbQYIKwYBBQUHAQwEYTBf
// SIG // oV2gWzBZMFcwVRYJaW1hZ2UvZ2lmMCEwHzAHBgUrDgMC
// SIG // GgQUj+XTGoasjY5rw8+AatRIGCx7GS4wJRYjaHR0cDov
// SIG // L2xvZ28udmVyaXNpZ24uY29tL3ZzbG9nby5naWYwHQYD
// SIG // VR0lBBYwFAYIKwYBBQUHAwIGCCsGAQUFBwMDMDQGCCsG
// SIG // AQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDovL29j
// SIG // c3AudmVyaXNpZ24uY29tMDEGA1UdHwQqMCgwJqAkoCKG
// SIG // IGh0dHA6Ly9jcmwudmVyaXNpZ24uY29tL3BjYTMuY3Js
// SIG // MCkGA1UdEQQiMCCkHjAcMRowGAYDVQQDExFDbGFzczND
// SIG // QTIwNDgtMS01NTAdBgNVHQ4EFgQUl9BrqCZwyKE/lB8I
// SIG // LcQ1m6ShHvIwDQYJKoZIhvcNAQEFBQADgYEAiwPA3ZTY
// SIG // QaJhabAVqHjHMMaQPH5C9yS25INzFwR/BBCcoeL6gS/r
// SIG // wMpE53LgULZVECCDbpaS5JpRarQ3MdylLeuMAMcdT+dN
// SIG // MrqF+E6++mdVZfBqvnrKZDgaEBB4RXYx84Z6Aw9gwrNd
// SIG // nfaLZnaCG1nhg+W9SaU4VuXeQXcOWA8wggURMIID+aAD
// SIG // AgECAhBtUn9NfWwaK6fvgdUMiddlMA0GCSqGSIb3DQEB
// SIG // BQUAMIG2MQswCQYDVQQGEwJVUzEXMBUGA1UEChMOVmVy
// SIG // aVNpZ24sIEluYy4xHzAdBgNVBAsTFlZlcmlTaWduIFRy
// SIG // dXN0IE5ldHdvcmsxOzA5BgNVBAsTMlRlcm1zIG9mIHVz
// SIG // ZSBhdCBodHRwczovL3d3dy52ZXJpc2lnbi5jb20vcnBh
// SIG // IChjKTA5MTAwLgYDVQQDEydWZXJpU2lnbiBDbGFzcyAz
// SIG // IENvZGUgU2lnbmluZyAyMDA5LTIgQ0EwHhcNMDkxMTE5
// SIG // MDAwMDAwWhcNMTIxMTE4MjM1OTU5WjCBzjELMAkGA1UE
// SIG // BhMCQ04xETAPBgNVBAgTCFNoYW5naGFpMREwDwYDVQQH
// SIG // EwhTaGFuZ2hhaTEbMBkGA1UEChQSUFBMaXZlIENvcnBv
// SIG // cmF0aW9uMT4wPAYDVQQLEzVEaWdpdGFsIElEIENsYXNz
// SIG // IDMgLSBNaWNyb3NvZnQgU29mdHdhcmUgVmFsaWRhdGlv
// SIG // biB2MjEfMB0GA1UECxQWUHJvZHVjdCBQbGFubmluZyBE
// SIG // ZXB0LjEbMBkGA1UEAxQSUFBMaXZlIENvcnBvcmF0aW9u
// SIG // MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDY7Kff
// SIG // TNpvjGy6zGck0u1/S+B50zuxRF0HrIlPfcpSGmsQyfzm
// SIG // b2eigTz0KuN+palZSdpx0amg9gD+ANFSNo9uqfk1PLeP
// SIG // V7187RIh4taAGUnYROqkPr9kVAsU/SepgjYLVAU46+Bu
// SIG // FtDmCaenpb6rqE+0Y6AV50Rc3iBA0rHvawIDAQABo4IB
// SIG // gzCCAX8wCQYDVR0TBAIwADAOBgNVHQ8BAf8EBAMCB4Aw
// SIG // RAYDVR0fBD0wOzA5oDegNYYzaHR0cDovL2NzYzMtMjAw
// SIG // OS0yLWNybC52ZXJpc2lnbi5jb20vQ1NDMy0yMDA5LTIu
// SIG // Y3JsMEQGA1UdIAQ9MDswOQYLYIZIAYb4RQEHFwMwKjAo
// SIG // BggrBgEFBQcCARYcaHR0cHM6Ly93d3cudmVyaXNpZ24u
// SIG // Y29tL3JwYTATBgNVHSUEDDAKBggrBgEFBQcDAzB1Bggr
// SIG // BgEFBQcBAQRpMGcwJAYIKwYBBQUHMAGGGGh0dHA6Ly9v
// SIG // Y3NwLnZlcmlzaWduLmNvbTA/BggrBgEFBQcwAoYzaHR0
// SIG // cDovL2NzYzMtMjAwOS0yLWFpYS52ZXJpc2lnbi5jb20v
// SIG // Q1NDMy0yMDA5LTIuY2VyMB8GA1UdIwQYMBaAFJfQa6gm
// SIG // cMihP5QfCC3ENZukoR7yMBEGCWCGSAGG+EIBAQQEAwIE
// SIG // EDAWBgorBgEEAYI3AgEbBAgwBgEBAAEB/zANBgkqhkiG
// SIG // 9w0BAQUFAAOCAQEAEHyS6zHfeAr7VXV0+4exGGIaodyt
// SIG // snOwewImElZdtDXV0P9r4B6gp1Ej1ZT8Ddco099Xc7NE
// SIG // e7gyfzCQh27Uq6DSVQP0P9zBI2VgwWaOLweplMHFqKrD
// SIG // q0DXzRAsXiYCu15ugktqWBRVhsOCrNFPcYAiEHhMeRJY
// SIG // 1p5pA+TyXSs2X5AyL1zfpaqrDfJKmhspWabkMbjyLWG9
// SIG // jkQv7K4rviPg//9QfzZoYG3cJBMDqLC3KsSFXs6GNzXo
// SIG // 7EDYhzgJFjpalJUV0n7TL+aPFgRY6/lG3UYPZtsRtGBI
// SIG // W2frpPZy0ww0vcTMzXYL+2TGyka40qCWF3XUw14+znhe
// SIG // yMNA5TGCA2cwggNjAgEBMIHLMIG2MQswCQYDVQQGEwJV
// SIG // UzEXMBUGA1UEChMOVmVyaVNpZ24sIEluYy4xHzAdBgNV
// SIG // BAsTFlZlcmlTaWduIFRydXN0IE5ldHdvcmsxOzA5BgNV
// SIG // BAsTMlRlcm1zIG9mIHVzZSBhdCBodHRwczovL3d3dy52
// SIG // ZXJpc2lnbi5jb20vcnBhIChjKTA5MTAwLgYDVQQDEydW
// SIG // ZXJpU2lnbiBDbGFzcyAzIENvZGUgU2lnbmluZyAyMDA5
// SIG // LTIgQ0ECEG1Sf019bBorp++B1QyJ12UwCQYFKw4DAhoF
// SIG // AKBwMBAGCisGAQQBgjcCAQwxAjAAMBkGCSqGSIb3DQEJ
// SIG // AzEMBgorBgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAM
// SIG // BgorBgEEAYI3AgEVMCMGCSqGSIb3DQEJBDEWBBSfU7m9
// SIG // Q414lyxx1rz5TC9TInDwkDANBgkqhkiG9w0BAQEFAASB
// SIG // gG876uWNNnGd7aNDzcixuPacV7BepRA+cIGl4FAYEpwo
// SIG // r88kS8ACd61b5ZvTCvWOlwM/JQyQoXY8q6zoj/R/z27k
// SIG // nKzHKDdlfYJDbDJa3TpOM4Z4+C+HRMKKZ3i8qwl34Fq/
// SIG // FuiU0Ah/aBwbvGTpjH2Rg5pGhMLWoF4CxbZ8b29voYIB
// SIG // fzCCAXsGCSqGSIb3DQEJBjGCAWwwggFoAgEBMGcwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBAhA4Jdf6+GGvnvSQ5ya11lrV
// SIG // MAkGBSsOAwIaBQCgXTAYBgkqhkiG9w0BCQMxCwYJKoZI
// SIG // hvcNAQcBMBwGCSqGSIb3DQEJBTEPFw0xMTA4MjYxMzM0
// SIG // NDJaMCMGCSqGSIb3DQEJBDEWBBSndfy7+pfCGRw5Fhx+
// SIG // B9TLwFf8WjANBgkqhkiG9w0BAQEFAASBgEYP03KsNgJD
// SIG // 9PoqBvRrZSFw1+Rg+9l9ND9bADprFCvm8F3Xq9pvOIZO
// SIG // 7hRIyGcHWRG/ocVWWqdazeTUrxxMMJyOxvqEoKbinPX2
// SIG // RiwrvGjITEHVMCbu6Licdy8LKv/Bp5m16T8i1+BrMFpv
// SIG // kIUbHC1HFiSLtgiYa4xaDC4x7fqE
// SIG // End signature block
